App\UserBundle\Entity\UserList:
  type: entity
  repositoryClass: App\UserBundle\Repository\UserListRepository
  table: user_list
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    username:
      type: string
      length: 255
      unique: true
    algorithm:
      type: string
      length: 255
      nullable: true
    salt:
      type: string
      length: 255
      nullable: true
    password:
      type: string
      length: 255
    last_login:
      type: datetime
      nullable: true
    is_active:
      type: boolean
      options:
        default: 1
    is_super_admin:
      type: boolean
      options:
        default: 0
    first_name_string:
      type: string
      length: 255
      nullable: true
    last_name_string:
      type: string
      length: 255
      nullable: true
    e_mail_address_string:
      type: string
      length: 255
      nullable: true
    e_mail_address_subscribed:
      type: boolean
      options:
        default: 0
    mobile_number:
      type: string
      length: 255
      nullable: true
    company_name:
      type: string
      length: 255
      nullable: true
    company_vat:
      type: string
      length: 255
      nullable: true
    deleted:
      type: boolean
      options:
        default: 0
    date_of_birth:
      type: datetime
      nullable: true
    id_number:
      type: string
      length: 255
      nullable: true
    passport_number:
      type: string
      length: 255
      nullable: true
    debit_order_day:
      type: integer
      nullable: true
    referred_by:
      type: string
      length: 255
      nullable: true
    short_code:
      type: string
      length: 255
      nullable: true
    id_doc_file_id:
      type: string
      length: 255
      nullable: true
    created_by:
      type: string
      length: 255
      nullable: true
    created_at:
      type: datetime
    updated_at:
      type: datetime
  manyToMany:
    user_level:
      targetEntity: App\UserBundle\Entity\UserLevel
      inversedBy: user_list
      joinTable:
        name: user_list_user_level
        joinColumns:
          user_list_id:
            referencedColumnName: id
        inverseJoinColumns:
          user_level_id:
            referencedColumnName: id
  lifecycleCallbacks:
    prePersist: [ setCreatedAtValue, setUpdatedAtValue ]
    preUpdate: [ setUpdatedAtValue ]